Skin:Tweeki

From mediawiki.org
This page is a translated version of the page Skin:Tweeki and the translation is 87% complete.
Outdated translations are marked like this.
Manuel des habillages MediaWiki - catégorie
OOjs UI icon layout-ltr.svg
Tweeki
État de la version : stable
Tweeki-screenshot-main.png
Description Basé sur Bootstrap, entièrement configurable, spécialement adapté pour un wiki en temps que site web.
Auteur(s) Tobias Haider
Version actuelle : 2.0.1 (2022-01-12)
MediaWiki 1.31.0+
Licence Licence publique générale GNU v2.0
Téléchargement
Exemple tweeki.kollabor.at
Traduisez l'habillage Tweeki sur translatewiki.net
Vérifiez la matrice des utilisations et des versions.

Tweeki est un habillage basé sur l'environnement du Bootstrap (v4.6.0). Il tente d'implémenter autant de fonctionnalités de Bootstrap que possible, permettant de l'utiliser très simplement avec peu de balisage et possède plusieurs options de configuration.

Tweeki vise à une grande compatibilité avec les extensions Semantic MediaWiki et Semantif Form et devrait être particulièrement utile pour un wiki en temps que site web.

Installation

  • Download Tweeki from GitHub et placez le(s) fichiers (s) dans un répertoire appelé Tweeki dans votre dossier skins/.
  • Ajoutez le code suivant à votre LocalSettings.php (en bas):
wfLoadSkin( 'Tweeki' );
$wgDefaultSkin = "tweeki";
  • Yes Fait - Naviguer vers Special:Version sur votre wiki pour vérifier l'installation correcte de l'habillage.

Pour les utilisateurs exécutant MediaWiki 1.24 ou une version précédente :

Les instructions ci-dessus expliquent la nouvelle façon d'installer les habillages en utilisant wfLoadSkin(), depuis MediaWiki 1.25. Si vous avez besoin d'installer cet habillage dans une version précédente, à la place de wfLoadSkin( 'Tweeki' );, vous devrez utiliser :

require_once "$IP/skins/Tweeki/Tweeki.php";

(Pour qu'un habillage soit opérationnel sur une ancienne version, il peut se révéler nécessaire de télécharger la version correspondant à votre version de MediaWiki sur Special:SkinDistributor.)


The master branch contains the latest release and supports only Bootstrap 4. You can use legacy releases if you want to use Bootstrap 3.

Fonctionnalités

Tweeki est...

  • très configurable – sans besoin de trafiquer Tweeki lui-même – aucun conflit lors de mise à jour !
  • simple d'utilisation pour les débutants – avec possibilité de masquer une fonctionnalité particulière qui ne serait pas nécessaire lors d'une installation spécifique.
  • bien adapté pour un projet "wiki comme site web" – agit comme un site web et profite des caractéristiques internes de MediaWiki.
  • fait pour les wikis sémantiques - vise à une très grande compatibilité avec les extensions Semantic MediaWiki et Semantic Forms.

Il supporte la majorité des fonctionnalités de Bootstrap, comme les boutons, les icônes, les accordéons, les onglets, les boîtes modales, les panneaux et bien plus...

Voir aussi

Autres thèmes et extensions liés au framework Bootstrap :